edu.northwestern.at.morphadorner.tools.tcp

## Class FixWordBreaks

- java.lang.Object
- - edu.northwestern.at.morphadorner.tools.tcp.FixWordBreaks

-     public class FixWordBreaks
      extends java.lang.Object

  Fix word breaks.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FixWordBreaks.WProcessor` Process an adorned word.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Map<java.lang.String,java.lang.String>` | `fixedWordsMap` Fixed words map.
    `static FileBatchProcessor` | `processor` File batch processor.
    `static org.jdom2.Namespace` | `teiNamespace` TEI P5 name space.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixWordBreaks()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `fixWordBreaks(java.lang.String[] args)` Fix word breaks.
    `static void` | `main(java.lang.String[] args)` Main program.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### teiNamespace

          public static org.jdom2.Namespace teiNamespace

      TEI P5 name space.

    - #### fixedWordsMap

          public static java.util.Map<java.lang.String,java.lang.String> fixedWordsMap

      Fixed words map.

    - #### processor

          public static FileBatchProcessor processor

      File batch processor.

  - ### Constructor Detail

    - #### FixWordBreaks

          public FixWordBreaks()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Main program.
      Parameters:
        `args` - Command line arguments.

    - #### fixWordBreaks

          public static void fixWordBreaks(java.lang.String[] args)
                                    throws java.lang.Exception

      Fix word breaks.
      Parameters:
        `args` - Command line arguments.
      Throws:
        `java.lang.Exception`